<script setup lang="ts">
import { ref } from 'vue';

const modal = ref(false);
const countryModel = ref(null);

const countries = [
  'Австралия',
  'Австрия',
  'Азербайджан',
  'Албания',
  'Алжир',
  'Ангола',
  'Андорра',
  'Антигуа и Барбуда',
  'Аргентина',
  'Армения',
  'Афганистан',
  'Багамские Острова',
  'Бангладеш',
  'Барбадос',
  'Бахрейн',
  'Беларусь',
  'Белиз',
  'Бельгия',
  'Бенин',
  'Болгария'
];
</script>

<template>
  <cds-modal v-model="modal" scrollable width="auto">
    <template #activator="{ props }">
      <cds-button v-bind="props">Показать модальное окно</cds-button>
    </template>

    <h4 class="cds-mb-m">Выберите страну</h4>

    <div style="height: 300px">
      <CdsContainer v-model="countryModel" direction="vertical">
        <CdsContainerItem
            v-for="country of countries"
            :key="country"
            :label="country"
            :value="country"
        >
          <h6>{{ country }}</h6>
        </CdsContainerItem>
      </CdsContainer>
    </div>
  </cds-modal>
</template>